import { render } from '@testing-library/react'
import React from 'react'
import { BVCrypto } from './BVCrypto'

const CRYPTO = {
	name: 'Bitcoin',
	price: 18231283,
	worthBuying: true,
}

describe('BVCrypto', () => {
	it('should render bitcoin worth buying', async () => {
		const component = render(<BVCrypto {...CRYPTO} />)
		expect(component.getByText(CRYPTO.name)).toBeInTheDocument()
		expect(component.getByText(`R$ ${18231283}`)).toBeInTheDocument()
		expect(component.getByText('Worth buying? Yes!')).toBeInTheDocument()
	})

	it('should render bitcoin NOT worth buying', async () => {
		const component = render(<BVCrypto {...CRYPTO} worthBuying={false} />)
		expect(component.getByText(CRYPTO.name)).toBeInTheDocument()
		expect(component.getByText(`R$ ${18231283}`)).toBeInTheDocument()
		expect(component.getByText('Worth buying? Nooo')).toBeInTheDocument()
	})
})
