import { useCryptoService } from './CryptoService'
import axios from 'axios'
jest.mock('axios')

const MOCK_CRYPTO = {
	name: 'Bitcoin',
	price: 12312893,
	worthBuying: true,
}

describe('CryptoService', () => {
	beforeEach(() => {
		axios.get.mockImplementation(() => Promise.resolve({ data: MOCK_CRYPTO }))
	})

	it('should call backend for crypto info', async () => {
		const coin = 'btc';
		const cryptoService = useCryptoService()
		await cryptoService.getCryptoInfo(coin)
		expect(axios.get).toHaveBeenCalledWith(`http://localhost:9090/coin-data/${coin}`)
	})
})
